"use strict";

var navigationControl = function(the_link){
	/* manage the appearance of the navigation*/
	$(".mis2402navlink").parent("li").removeClass("active");
	/* remove the active class from all <li> parents */
	$(the_link).parent("li").addClass("active");
	/* add the active class to the_link anchor's <li> parent */
	
	/* manage the conent that is displayed */
	var idToShow = $(the_link).attr("href");
	
	/* hide all content-wrappers */
	$(".content-wrapper").hide();
	/* show the chosen content wrapper */
	$(idToShow).show();
	
	/* scroll to top of page */
	$("html, body").animate({ scrollTop: "0px" });
	
}

var pulsateThisTag = function(theTagSelector){
	$(theTagSelector).animate({"height": "+=10px", "width": "+=10px",});
    $(theTagSelector).animate({"height": "-=10px", "width": '-=10px',});
}

var refreshQuotes = function(){
	$.getJSON("https://misdemo.temple.edu/dailyquote/", function (a_gaggle_of_quotes ){
		var theQuote = a_gaggle_of_quotes[0]['quote'];  // a_gaggle_of_quotes is a simple object 
												   // think of it as an array.
												   // the dailyquote resource  
												   // always returns an array of length one.
		$("#quote_for_today").html(theQuote);
		
		var theAuthor = a_gaggle_of_quotes[0]['author'];
		
		$("#who_said_it").html(theAuthor);
	});
}

$(document).ready(function (){

    /* ------------------  basic navigation ----------------*/    
   
    /* this reveals the default page */
    $("#wrapper001").show();
    $("a[href='#wrapper001']").parent("li").addClass("active");
    
    /* this controls navigation - show / hide pages as needed */
    /* when a mis2402navlink is clicked */

    $(".mis2402navlink").click(function(){
		navigationControl(this);
        });
    
    /* ------------------  link 4 logic ----------------*/    
    /* this makes the "look at me" button pulsate */
    $("#look_at_me").hover(function(){
		pulsateThisTag("#look_at_me");
        });    

    /* ------------------  login link logic ----------------*/    
    
    /* whenever an input tag in wrapperlogin changes */
    $("#wrapperlogin input").change(function(){

        if ($("#idUsername").is(":valid") && $("#idPassword").is(":valid") ){
            $("#btnLoginContinue").removeAttr("disabled");
			pulsateThisTag("#btnLoginContinue");
        } else {
            $("#btnLoginContinue").attr("disabled", true);
        }
    });
    
    $("#btnLoginContinue").click(function(){
        alert("Login now!");
    });

	/* ------------------  register link logic ---------------------------------------------*/    
	/* on document ready go get the state codes, append them as options in the select list. */
	/*
	$.getJSON("https://misdemo.temple.edu/states/", function (a_bunch_of_states ){
		var theHTMLstring = '';
		for (var i = 0; i < a_bunch_of_states.length; i++) {
			theHTMLstring = '<option>' + a_bunch_of_states[i]['state_name']  + '</option>';
			$("#idYourstate").append(theHTMLstring);
		}
	});
	*/

	/* this is better.  this is preferred - here we specify the value attribute of the option tag. */
	
	$.getJSON("https://misdemo.temple.edu/states/", function (a_bunch_of_states ){
		var theHTMLstring = '';
		for (var i = 0; i < a_bunch_of_states.length; i++) {
			theHTMLstring = '<option value = "' + a_bunch_of_states[i]['state'] +  '"  >' + a_bunch_of_states[i]['state_name']  + '</option>';
			$("#idYourstate").append(theHTMLstring);
		}
	});
	

    /* whenever an input tag in wrapperregister changes */
    $("#wrapperregister input").change(function(){

        if ($("#idFirstname").is(":valid") && $("#idLastname").is(":valid") &&  $("#idEmail").is(":valid") ){
            $("#btnRegisterContinue").removeAttr("disabled");
			pulsateThisTag("#btnRegisterContinue");
		} else {
            $("#btnRegisterContinue").attr("disabled", true);
        }
    });
    
    $("#btnRegisterContinue").click(function(){
        alert("Register now!");
    });

	
	/* ------------------  quote of the day logic -----------------------------------------------*/    
	/* on document ready go get the quote of the day.  Put it in the tag called #quote_for_today */
	
	refreshQuotes();

	/* When btnGetNewQuote is clicked, got get a new quote.  Put it in the tag called #quote_for_today */
	
	$("#btnGetNewQuote").click(function(){
		refreshQuotes();	
	});

		
    }); /* end the document ready event*/
